Skip to main content
POST
/
v1
/
w3s
/
config
/
entity
/
monitoredTokens
/
delete
Delete monitored tokens
curl --request POST \
  --url https://api.circle.com/v1/w3s/config/entity/monitoredTokens/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tokenIds": [
    "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
  ]
}
'
import requests

url = "https://api.circle.com/v1/w3s/config/entity/monitoredTokens/delete"

payload = { "tokenIds": ["a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tokenIds: ['a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11']})
};

fetch('https://api.circle.com/v1/w3s/config/entity/monitoredTokens/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"code": 400,
"message": "Bad request."
}
{
"code": 401,
"message": "Malformed authorization."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Body

application/json

Request body

tokenIds
string<uuid>[]
required

Token ids to be removed from the monitored tokens list. Once removed, these tokens will no longer be shown by default when fetching wallet balances.

Minimum array length: 1

System-generated unique identifier of the resource.

Example:
["a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"]

Response